#include <string.h>
#include <sc_unittest.h>
#include <sc_mmgr.h>
#include <sc_socket.h>


static void UT_SC_Socket_init(void);
static void UT_SC_Socket_init_double(void);



void UT_regist_sc_socket(void)
{
	SC_Unittest_add("SC_Socket_init"				, UT_SC_Socket_init);
	SC_Unittest_add("SC_Socket_init_double"		, UT_SC_Socket_init_double);

}


static
void UT_SC_Socket_init(void)
{
	bool ret;
	ret = SC_Socket_init();
	SC_assert(ret);
}

static
void UT_SC_Socket_init_double(void)
{
	bool ret;
	ret = SC_Socket_init();
	SC_assert(ret);
	ret = SC_Socket_init();
	SC_assert(ret);
}


